import { DoCheck, AfterViewInit } from '@angular/core';
import { NgModel } from '@angular/forms';
import { Nullable } from 'primeng/ts-helpers';
import { BaseComponent } from 'primeng/basecomponent';
import { InputTextStyle } from './style/inputtextstyle';
import * as i0 from "@angular/core";
import * as i1 from "@angular/common";
/**
 * InputText directive is an extension to standard input element with theming.
 * @group Components
 */
export declare class InputText extends BaseComponent implements DoCheck, AfterViewInit {
    ngModel: NgModel;
    /**
     * Specifies the input variant of the component.
     * @group Props
     */
    variant: 'filled' | 'outlined';
    /**
     * Spans 100% width of the container when enabled.
     * @group Props
     */
    fluid: boolean | undefined;
    filled: Nullable<boolean>;
    _componentStyle: InputTextStyle;
    get hasFluid(): boolean;
    constructor(ngModel: NgModel);
    ngAfterViewInit(): void;
    ngDoCheck(): void;
    onInput(): void;
    updateFilledState(): void;
    static ɵfac: i0.ɵɵFactoryDeclaration<InputText, [{ optional: true; }]>;
    static ɵdir: i0.ɵɵDirectiveDeclaration<InputText, "[pInputText]", never, { "variant": { "alias": "variant"; "required": false; }; "fluid": { "alias": "fluid"; "required": false; }; }, {}, never, never, false, never>;
    static ngAcceptInputType_fluid: unknown;
}
export declare class InputTextModule {
    static ɵfac: i0.ɵɵFactoryDeclaration<InputTextModule, never>;
    static ɵmod: i0.ɵɵNgModuleDeclaration<InputTextModule, [typeof InputText], [typeof i1.CommonModule], [typeof InputText]>;
    static ɵinj: i0.ɵɵInjectorDeclaration<InputTextModule>;
}
