declare const _default: {
    root: {
        transitionDuration: string;
    };
    header: {
        borderColor: string;
        borderWidth: string;
        padding: string;
    };
    headerCell: {
        selectedBackground: string;
        borderColor: string;
        hoverColor: string;
        selectedColor: string;
        gap: string;
        padding: string;
        focusRing: {
            width: string;
            style: string;
            color: string;
            offset: string;
            shadow: string;
        };
    };
    columnTitle: {
        fontWeight: string;
    };
    row: {
        background: string;
        hoverBackground: string;
        selectedBackground: string;
        color: string;
        hoverColor: string;
        selectedColor: string;
        focusRing: {
            width: string;
            style: string;
            color: string;
            offset: string;
            shadow: string;
        };
    };
    bodyCell: {
        borderColor: string;
        padding: string;
    };
    footerCell: {
        borderColor: string;
        padding: string;
    };
    columnFooter: {
        fontWeight: string;
    };
    footer: {
        borderColor: string;
        borderWidth: string;
        padding: string;
    };
    dropPointColor: string;
    columnResizerWidth: string;
    resizeIndicator: {
        width: string;
        color: string;
    };
    sortIcon: {
        color: string;
        hoverColor: string;
    };
    loadingIcon: {
        size: string;
    };
    rowToggleButton: {
        hoverBackground: string;
        selectedHoverBackground: string;
        color: string;
        hoverColor: string;
        selectedHoverColor: string;
        size: string;
        borderRadius: string;
        focusRing: {
            width: string;
            style: string;
            color: string;
            offset: string;
            shadow: string;
        };
    };
    filter: {
        inlineGap: string;
        overlaySelect: {
            background: string;
            borderColor: string;
            borderRadius: string;
            color: string;
            shadow: string;
        };
        overlayPopover: {
            background: string;
            borderColor: string;
            borderRadius: string;
            color: string;
            shadow: string;
            padding: string;
            gap: string;
        };
        rule: {
            borderColor: string;
        };
        constraintList: {
            padding: string;
            gap: string;
        };
        constraint: {
            focusBackground: string;
            selectedBackground: string;
            selectedFocusBackground: string;
            color: string;
            focusColor: string;
            selectedColor: string;
            selectedFocusColor: string;
            separator: {
                borderColor: string;
            };
            padding: string;
            borderRadius: string;
        };
    };
    paginatorTop: {
        borderColor: string;
        borderWidth: string;
    };
    paginatorBottom: {
        borderColor: string;
        borderWidth: string;
    };
    colorScheme: {
        light: {
            root: {
                borderColor: string;
            };
            header: {
                background: string;
                color: string;
            };
            headerCell: {
                background: string;
                hoverBackground: string;
                color: string;
            };
            footer: {
                background: string;
                color: string;
            };
            footerCell: {
                background: string;
                color: string;
            };
            row: {
                stripedBackground: string;
            };
            bodyCell: {
                selectedBorderColor: string;
            };
        };
        dark: {
            root: {
                borderColor: string;
            };
            header: {
                background: string;
                color: string;
            };
            headerCell: {
                background: string;
                hoverBackground: string;
                color: string;
            };
            footer: {
                background: string;
                color: string;
            };
            footerCell: {
                background: string;
                color: string;
            };
            row: {
                stripedBackground: string;
            };
            bodyCell: {
                selectedBorderColor: string;
            };
        };
    };
};
export default _default;
