declare const _default: {
    root: {
        borderRadius: string;
        roundedBorderRadius: string;
        gap: string;
        paddingX: string;
        paddingY: string;
        iconOnlyWidth: string;
        sm: {
            fontSize: string;
            paddingX: string;
            paddingY: string;
        };
        lg: {
            fontSize: string;
            paddingX: string;
            paddingY: string;
        };
        label: {
            fontWeight: string;
        };
        raisedShadow: string;
        focusRing: {
            width: string;
            style: string;
            offset: string;
        };
        badgeSize: string;
        transitionDuration: string;
    };
    colorScheme: {
        light: {
            root: {
                primary: {
                    background: string;
                    hoverBackground: string;
                    activeBackground: string;
                    borderColor: string;
                    hoverBorderColor: string;
                    activeBorderColor: string;
                    color: string;
                    hoverColor: string;
                    activeColor: string;
                    focusRing: {
                        color: string;
                        shadow: string;
                    };
                };
                secondary: {
                    background: string;
                    hoverBackground: string;
                    activeBackground: string;
                    borderColor: string;
                    hoverBorderColor: string;
                    activeBorderColor: string;
                    color: string;
                    hoverColor: string;
                    activeColor: string;
                    focusRing: {
                        color: string;
                        shadow: string;
                    };
                };
                info: {
                    background: string;
                    hoverBackground: string;
                    activeBackground: string;
                    borderColor: string;
                    hoverBorderColor: string;
                    activeBorderColor: string;
                    color: string;
                    hoverColor: string;
                    activeColor: string;
                    focusRing: {
                        color: string;
                        shadow: string;
                    };
                };
                success: {
                    background: string;
                    hoverBackground: string;
                    activeBackground: string;
                    borderColor: string;
                    hoverBorderColor: string;
                    activeBorderColor: string;
                    color: string;
                    hoverColor: string;
                    activeColor: string;
                    focusRing: {
                        color: string;
                        shadow: string;
                    };
                };
                warn: {
                    background: string;
                    hoverBackground: string;
                    activeBackground: string;
                    borderColor: string;
                    hoverBorderColor: string;
                    activeBorderColor: string;
                    color: string;
                    hoverColor: string;
                    activeColor: string;
                    focusRing: {
                        color: string;
                        shadow: string;
                    };
                };
                help: {
                    background: string;
                    hoverBackground: string;
                    activeBackground: string;
                    borderColor: string;
                    hoverBorderColor: string;
                    activeBorderColor: string;
                    color: string;
                    hoverColor: string;
                    activeColor: string;
                    focusRing: {
                        color: string;
                        shadow: string;
                    };
                };
                danger: {
                    background: string;
                    hoverBackground: string;
                    activeBackground: string;
                    borderColor: string;
                    hoverBorderColor: string;
                    activeBorderColor: string;
                    color: string;
                    hoverColor: string;
                    activeColor: string;
                    focusRing: {
                        color: string;
                        shadow: string;
                    };
                };
                contrast: {
                    background: string;
                    hoverBackground: string;
                    activeBackground: string;
                    borderColor: string;
                    hoverBorderColor: string;
                    activeBorderColor: string;
                    color: string;
                    hoverColor: string;
                    activeColor: string;
                    focusRing: {
                        color: string;
                        shadow: string;
                    };
                };
            };
            outlined: {
                primary: {
                    hoverBackground: string;
                    activeBackground: string;
                    borderColor: string;
                    color: string;
                };
                secondary: {
                    hoverBackground: string;
                    activeBackground: string;
                    borderColor: string;
                    color: string;
                };
                success: {
                    hoverBackground: string;
                    activeBackground: string;
                    borderColor: string;
                    color: string;
                };
                info: {
                    hoverBackground: string;
                    activeBackground: string;
                    borderColor: string;
                    color: string;
                };
                warn: {
                    hoverBackground: string;
                    activeBackground: string;
                    borderColor: string;
                    color: string;
                };
                help: {
                    hoverBackground: string;
                    activeBackground: string;
                    borderColor: string;
                    color: string;
                };
                danger: {
                    hoverBackground: string;
                    activeBackground: string;
                    borderColor: string;
                    color: string;
                };
                contrast: {
                    hoverBackground: string;
                    activeBackground: string;
                    borderColor: string;
                    color: string;
                };
                plain: {
                    hoverBackground: string;
                    activeBackground: string;
                    borderColor: string;
                    color: string;
                };
            };
            text: {
                primary: {
                    hoverBackground: string;
                    activeBackground: string;
                    color: string;
                };
                secondary: {
                    hoverBackground: string;
                    activeBackground: string;
                    color: string;
                };
                success: {
                    hoverBackground: string;
                    activeBackground: string;
                    color: string;
                };
                info: {
                    hoverBackground: string;
                    activeBackground: string;
                    color: string;
                };
                warn: {
                    hoverBackground: string;
                    activeBackground: string;
                    color: string;
                };
                help: {
                    hoverBackground: string;
                    activeBackground: string;
                    color: string;
                };
                danger: {
                    hoverBackground: string;
                    activeBackground: string;
                    color: string;
                };
                plain: {
                    hoverBackground: string;
                    activeBackground: string;
                    color: string;
                };
            };
            link: {
                color: string;
                hoverColor: string;
                activeColor: string;
            };
        };
        dark: {
            root: {
                primary: {
                    background: string;
                    hoverBackground: string;
                    activeBackground: string;
                    borderColor: string;
                    hoverBorderColor: string;
                    activeBorderColor: string;
                    color: string;
                    hoverColor: string;
                    activeColor: string;
                    focusRing: {
                        color: string;
                        shadow: string;
                    };
                };
                secondary: {
                    background: string;
                    hoverBackground: string;
                    activeBackground: string;
                    borderColor: string;
                    hoverBorderColor: string;
                    activeBorderColor: string;
                    color: string;
                    hoverColor: string;
                    activeColor: string;
                    focusRing: {
                        color: string;
                        shadow: string;
                    };
                };
                info: {
                    background: string;
                    hoverBackground: string;
                    activeBackground: string;
                    borderColor: string;
                    hoverBorderColor: string;
                    activeBorderColor: string;
                    color: string;
                    hoverColor: string;
                    activeColor: string;
                    focusRing: {
                        color: string;
                        shadow: string;
                    };
                };
                success: {
                    background: string;
                    hoverBackground: string;
                    activeBackground: string;
                    borderColor: string;
                    hoverBorderColor: string;
                    activeBorderColor: string;
                    color: string;
                    hoverColor: string;
                    activeColor: string;
                    focusRing: {
                        color: string;
                        shadow: string;
                    };
                };
                warn: {
                    background: string;
                    hoverBackground: string;
                    activeBackground: string;
                    borderColor: string;
                    hoverBorderColor: string;
                    activeBorderColor: string;
                    color: string;
                    hoverColor: string;
                    activeColor: string;
                    focusRing: {
                        color: string;
                        shadow: string;
                    };
                };
                help: {
                    background: string;
                    hoverBackground: string;
                    activeBackground: string;
                    borderColor: string;
                    hoverBorderColor: string;
                    activeBorderColor: string;
                    color: string;
                    hoverColor: string;
                    activeColor: string;
                    focusRing: {
                        color: string;
                        shadow: string;
                    };
                };
                danger: {
                    background: string;
                    hoverBackground: string;
                    activeBackground: string;
                    borderColor: string;
                    hoverBorderColor: string;
                    activeBorderColor: string;
                    color: string;
                    hoverColor: string;
                    activeColor: string;
                    focusRing: {
                        color: string;
                        shadow: string;
                    };
                };
                contrast: {
                    background: string;
                    hoverBackground: string;
                    activeBackground: string;
                    borderColor: string;
                    hoverBorderColor: string;
                    activeBorderColor: string;
                    color: string;
                    hoverColor: string;
                    activeColor: string;
                    focusRing: {
                        color: string;
                        shadow: string;
                    };
                };
            };
            outlined: {
                primary: {
                    hoverBackground: string;
                    activeBackground: string;
                    borderColor: string;
                    color: string;
                };
                secondary: {
                    hoverBackground: string;
                    activeBackground: string;
                    borderColor: string;
                    color: string;
                };
                success: {
                    hoverBackground: string;
                    activeBackground: string;
                    borderColor: string;
                    color: string;
                };
                info: {
                    hoverBackground: string;
                    activeBackground: string;
                    borderColor: string;
                    color: string;
                };
                warn: {
                    hoverBackground: string;
                    activeBackground: string;
                    borderColor: string;
                    color: string;
                };
                help: {
                    hoverBackground: string;
                    activeBackground: string;
                    borderColor: string;
                    color: string;
                };
                danger: {
                    hoverBackground: string;
                    activeBackground: string;
                    borderColor: string;
                    color: string;
                };
                contrast: {
                    hoverBackground: string;
                    activeBackground: string;
                    borderColor: string;
                    color: string;
                };
                plain: {
                    hoverBackground: string;
                    activeBackground: string;
                    borderColor: string;
                    color: string;
                };
            };
            text: {
                primary: {
                    hoverBackground: string;
                    activeBackground: string;
                    color: string;
                };
                secondary: {
                    hoverBackground: string;
                    activeBackground: string;
                    color: string;
                };
                success: {
                    hoverBackground: string;
                    activeBackground: string;
                    color: string;
                };
                info: {
                    hoverBackground: string;
                    activeBackground: string;
                    color: string;
                };
                warn: {
                    hoverBackground: string;
                    activeBackground: string;
                    color: string;
                };
                help: {
                    hoverBackground: string;
                    activeBackground: string;
                    color: string;
                };
                danger: {
                    hoverBackground: string;
                    activeBackground: string;
                    color: string;
                };
                plain: {
                    hoverBackground: string;
                    activeBackground: string;
                    color: string;
                };
            };
            link: {
                color: string;
                hoverColor: string;
                activeColor: string;
            };
        };
    };
};
export default _default;
